@if (componentData) {
  <div class="two-columns-grid">
    <sqtm-core-label
      [text]="
        'sqtm-core.administration-workspace.system.cleaning.label' | translate
      "
    >
    </sqtm-core-label>
    <div>
      <button
        [attr.data-test-dialog-button-id]="'clean'"
        class="flex-fixed-size sqtm-core-delete-button danger-icon m-l-10"
        nz-button
        nzType="primary"
        (click)="showCleaningDialog()"
      >
        {{ 'sqtm-core.generic.label.delete' | translate }}
      </button>
    </div>
  </div>
}
